# Type alias SpecificGenerateId<C, N>

SpecificGenerateId<C, N>: ((input) => string | undefined)

#### Type Parameters

- #### C extends Meta.Collections

- #### N extends Meta.CollectionName<C>

#### Type declaration

- - (input): string | undefined

  - #### Parameters

    - ##### input: Meta.Input<C, N> | StrictIdInput<C, N> | undefined

    #### Returns string | undefined

- Defined in packages/db/src/meta/id/types.ts:27

Generated using TypeDoc